# pumo-system-info

A Rust-based utility for gathering and presenting system information
in JSON format.

## Overview

`pumo-system-info` is designed to retrieve detailed information about
connected Bluetooth devices and present it in a structured JSON
format. This utility can be integrated with other tools or scripts for
system monitoring and management. In particular, this tool is meant to
be used with my [eww](https://elkowar.github.io/eww/) configuration.

## Prerequisites
- DBus
- BlueZ (for retrieving Bluetooth-related information)
- UPower (for retrieving power information)
- Rust (specified in `rustup-toolchain.toml`)
- Nix package manager with flakes (optional, for building and managing
  dependencies)

## Installation
1. Clone the repository

  ```sh
  git clone https://labs.phundrak.com/phundrak/pumo-system-info.git
  cd pumo-system-info
  ```

2. Build the project
   1. With Nix
      ```sh
      nix build
      ./result/bin/pumo-system-info
      ```

   2. Without Nix
      ```sh
      cargo build --release
      ./target/release/pumo-system-info
      ```

## Contributing

Contributions are welcome! Please fork the repository and submit a
pull request with your changes. Ensure that your commits follow the
recommendations of [Conventional
Commits](https://www.conventionalcommits.org/).

## License
This project is licensed under the GPL-3 license. See the
[LICENSE](LICENSE) file for more details.
